## org.firebirdsql.jdbc
Class FBParameterMetaData

    java.lang.Object
      org.firebirdsql.jdbc.FBParameterMetaData

All Implemented Interfaces:
  ParameterMetaData, Wrapper

    public class FBParameterMetaData

extends Object
implements ParameterMetaData

Describe class `FBParameterMetaData` here.

Version:
  1.0
Author:
  Nickolay Samofatov

Field Summary

Fields inherited from interface java.sql.ParameterMetaData
`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

Constructor Summary
`protected` `FBParameterMetaData(XSQLVAR[] xsqlvars, GDSHelper connection)` Creates a new `FBParameterMetaData` instance.

Method Summary
`String` `getParameterClassName(int parameter)` Retrieves the fully-qualified name of the Java class whose instances should be passed to the method `PreparedStatement.setObject`.
`int` `getParameterCount()` Retrieves the number of parameters in the `PreparedStatement` object for which this `ParameterMetaData` object contains information.
`int` `getParameterMode(int param)` Retrieves the designated parameter's mode.
`int` `getParameterType(int parameter)` Retrieves the designated parameter's SQL type.
`String` `getParameterTypeName(int parameter)` Retrieves the designated parameter's database-specific type name.
`int` `getPrecision(int parameter)` Retrieves the designated parameter's number of decimal digits.
`int` `getScale(int parameter)` Retrieves the designated parameter's number of digits to right of the decimal point.
`int` `isNullable(int parameter)` Retrieves whether null values are allowed in the designated parameter.
`boolean` `isSigned(int parameter)` Retrieves whether values for the designated parameter can be signed numbers.
`boolean` `isWrapperFor(Class arg0)`
`Object` `unwrap(Class arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBParameterMetaData

    protected FBParameterMetaData(XSQLVAR[] xsqlvars,
                                  GDSHelper connection)
                           throws SQLException

  Creates a new `FBParameterMetaData` instance.

  Parameters:
    `xsqlvars` - a `XSQLVAR[]` value
    `connection` - a `AbstractConnection` value
  Throws:
    `SQLException` - if an error occurs

Method Detail

### getParameterCount

    public int getParameterCount()

  Retrieves the number of parameters in the `PreparedStatement` object for which this `ParameterMetaData` object contains information.

  Specified by:
    `getParameterCount` in interface `ParameterMetaData`
  Returns:
    the number of parameters
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### isNullable

    public int isNullable(int parameter)
                   throws SQLException

  Retrieves whether null values are allowed in the designated parameter.

  Specified by:
    `isNullable` in interface `ParameterMetaData`
  Parameters:
    `parameter` - the first parameter is 1, the second is 2, ...
  Returns:
    the nullability status of the given parameter; one of `ParameterMetaData.parameterNoNulls`, `ParameterMetaData.parameterNullable`, or `ParameterMetaData.parameterNullableUnknown`
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### isSigned

    public boolean isSigned(int parameter)
                     throws SQLException

  Retrieves whether values for the designated parameter can be signed numbers.

  Specified by:
    `isSigned` in interface `ParameterMetaData`
  Parameters:
    `parameter` - the first parameter is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getPrecision

    public int getPrecision(int parameter)
                     throws SQLException

  Retrieves the designated parameter's number of decimal digits.

  Specified by:
    `getPrecision` in interface `ParameterMetaData`
  Parameters:
    `parameter` - the first parameter is 1, the second is 2, ...
  Returns:
    precision
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getScale

    public int getScale(int parameter)
                 throws SQLException

  Retrieves the designated parameter's number of digits to right of the decimal point.

  Specified by:
    `getScale` in interface `ParameterMetaData`
  Parameters:
    `parameter` - the first parameter is 1, the second is 2, ...
  Returns:
    scale
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterType

    public int getParameterType(int parameter)
                         throws SQLException

  Retrieves the designated parameter's SQL type.

  Specified by:
    `getParameterType` in interface `ParameterMetaData`
  Parameters:
    `parameter` - the first parameter is 1, the second is 2, ...
  Returns:
    SQL type from `java.sql.Types`
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4
  See Also:
    `Types`

### getParameterTypeName

    public String getParameterTypeName(int parameter)
                                throws SQLException

  Retrieves the designated parameter's database-specific type name.

  Specified by:
    `getParameterTypeName` in interface `ParameterMetaData`
  Parameters:
    `parameter` - the first parameter is 1, the second is 2, ...
  Returns:
    type the name used by the database. If the parameter type is a user-defined type, then a fully-qualified type name is returned.
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterClassName

    public String getParameterClassName(int parameter)
                                 throws SQLException

  Retrieves the fully-qualified name of the Java class whose instances should be passed to the method `PreparedStatement.setObject`.

  Specified by:
    `getParameterClassName` in interface `ParameterMetaData`
  Parameters:
    `parameter` - the first parameter is 1, the second is 2, ...
  Returns:
    the fully-qualified name of the class in the Java programming language that would be used by the method `PreparedStatement.setObject` to set the value in the specified parameter. This is the class name used for custom mapping.
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterMode

    public int getParameterMode(int param)
                         throws SQLException

  Retrieves the designated parameter's mode.

  Specified by:
    `getParameterMode` in interface `ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    mode of the parameter; one of `ParameterMetaData.parameterModeIn`, `ParameterMetaData.parameterModeOut`, or `ParameterMetaData.parameterModeInOut` `ParameterMetaData.parameterModeUnknown`.
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### isWrapperFor

    public boolean isWrapperFor(Class arg0)
                         throws SQLException

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  Throws:
    `SQLException`

### unwrap

    public Object unwrap(Class arg0)
                  throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.